#!/bin/ksh
#> This script will install NortelGGU - NorGSM module
#> patch: 4.0.14.0.20
#

# variables used after <productVersion> and <wsVersion> drop.
export NEPATCH_START_DIR=`pwd`
export ARCHIVE_DIR=$NEPATCH_START_DIR/Archive
export BACKUP_DIR=$NEPATCH_START_DIR/Backup

########################################################
# Check system values required for this module but not checked by the
# main installer.
if [[ -z $FLEXPM_HOME ]]; then
  echo "+> FLEXPM_HOME environment is not defined"
  echo "+> Please ensure that this is defined and then reinstall upgrade"
  echo ""
  exit 2
fi

if [[ ! -d $FLEXPM_HOME ]]; then
  echo "+> FLEXPM_HOME environment value '$FLEXPM_HOME'"
  echo "+> is not a valid directory. Please check this value"
  echo ""
  exit 2
fi

########################################################
# Check system values required for this module but not checked by the
# main installer.
if [[ -z $NorGSM_HOME ]]; then
  echo "+> NorGSM_HOME environment is not defined"
  echo "+> Please ensure that this is defined and then reinstall upgrade"
  echo ""
  exit 2
fi

if [[ ! -d $NorGSM_HOME ]]; then
  echo "+> NorGSM_HOME environment value '$NorGSM_HOME'"
  echo "+> is not a valid directory. Please check this value"
  echo ""
  exit 2
fi

# Begin the upgrade
#echo "+ Installing PerfDataRef ... "
#date +"+ Component upgrade is started at %T, %D ... "

#export PB_PATCH_START_DIR=$FLEXPM_HOME/patches/4.0.14.0.20/ProspectBase
#export PB_ARCHIVE_DIR=$PB_PATCH_START_DIR/Archive
#export PB_BACKUP_DIR=$PB_PATCH_START_DIR/Backup

#if [ ! -d $PB_PATCH_START_DIR ]
#then
 # mkdir -p $PB_PATCH_START_DIR
#fi

#cd $PB_PATCH_START_DIR
#if [ ! -d $PB_BACKUP_DIR ]
#then
#  mkdir -p $PB_BACKUP_DIR
#fi

#echo ""
#echo "+ Backing up original ProspectBase file ..."
#cd $FLEXPM_HOME
#for file in `gtar -tzf ${NEPATCH_START_DIR}/PB_1.0.tgz`
#do
#  if [ -f $file ]
#  then
#    if [ ! -d ${PB_ARCHIVE_DIR}/`dirname $file` ]
#    then
#      mkdir -p ${PB_ARCHIVE_DIR}/`dirname $file`
#    fi
#    cp $file ${PB_ARCHIVE_DIR}/`dirname $file`
#    chmod +w $file
#  fi
#done

#cd $PB_PATCH_START_DIR/Archive
#gtar -czf ../Module_Archive_`date '+%y%m%d_%H%M%S'`.tar.gz *
#cd $PB_PATCH_START_DIR
#rm -rf ${PB_ARCHIVE_DIR}
#mv -f Module_Archive*.tar.gz $PB_BACKUP_DIR/
#cd $FLEXPM_HOME

#echo "+ Installing new/updated files for ProspectBase ..."
#gtar -xvzf ${NEPATCH_START_DIR}/PB_1.0.tgz

#date +"+ ProspectBase component upgrade is completed at %T, %D ....."
#echo ""

echo "+ Installing NorGSM component upgrades ... "
date +"+ Component upgrade is started at %T, %D ... "

cd ${NEPATCH_START_DIR}
if [ ! -d $BACKUP_DIR ]
then
  mkdir $BACKUP_DIR
fi

echo ""
echo "+ Backing up original NorGSM module files ..."
cd $NorGSM_HOME
for file in `gtar -tzf ${NEPATCH_START_DIR}/NorGSM_1.0.tgz`
do
  if [ -f $file ]
  then
    if [ ! -d ${ARCHIVE_DIR}/`dirname $file` ]
    then
      mkdir -p ${ARCHIVE_DIR}/`dirname $file`
    fi
    cp $file ${ARCHIVE_DIR}/`dirname $file`
    chmod +w $file
  fi
done

cd $NEPATCH_START_DIR/Archive
gtar -czf ../Module_Archive_`date '+%y%m%d_%H%M%S'`.tar.gz *
cd $NEPATCH_START_DIR
rm -rf ${ARCHIVE_DIR}
mv -f Module_Archive*.tar.gz $BACKUP_DIR/
cd $NorGSM_HOME

echo "+ Installing new/updated files for NorGSM module ..."
gtar -xvzf ${NEPATCH_START_DIR}/NorGSM_1.0.tgz

cd $NorGSM_HOME/peik
echo "+ Updating NorGSM data dictionary (dict_update)..."
make dict_update


cd ${NorGSM_HOME}/vendor/Nortel/MSC/1.3/NorGSM_loader/NORGSMBSS
make clean
make all

cd ${NorGSM_HOME}/vendor/Nortel/MSC/1.3/NorGSM_loader/BSSGPRS
make clean
make all

cd ${NorGSM_HOME}/vendor/Nortel/MSC/1.3/NorGSM_loader/BSCcm/config
make setMod

echo "### create 3 new ftpIN directories ###"
cd ${NorGSM_HOME}/vendor/Nortel/MSC/1.3/scripts
make clean
make all

echo "### create new commander, sentry ###"
cd ${NorGSM_HOME}/vendor/Nortel/MSC/1.3/NorGSM_data
make clean
make all

date +"+ NorGSM component upgrade is completed at %T, %D ....."
echo ""
exit 0
$
